apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: redis
  namespace: redis
spec:
  interval: 5m
  timeout: 10m
  values:
    global:
      defaultStorageClass: local-path
    architecture: standalone
    auth:
      enabled: true
    sentinel:
      enabled: false
    replica:
      replicaCount: 0
    master:
      count: 1
      resources:
        requests:
          memory: 1Gi
        limits: {}
      persistence:
        storageClass: local-path
        size: 10Gi
